import time

def test(i):
    e=Experiment()
    e.ttl_pulse(length=1e-6, value=1)
    e.wait(1e-3)
    e.ttl_pulse(length=1e-6,value=1)
    e.record(samples=1024,frequency=1e6,sensitivity=1)
    e.set_description("variable",i)
    e.set_description("const", "test")
    return e

def experiment():
    for i in range(10):
        yield test(i)